# Hurricane VLSI Database

List of all members | Public Types
Hurricane::BasicLayer::Material Class Reference

## Public Types
enum | Code { nWell =0, pWell, nImplant, pImplant, active, poly, cut, metal, blockage , other }

## Detailed Description

Encapsulate the BasicLayer::Material::Code enumeration that defines the BasicLayer purpose.

## Member Enumeration Documentation

## ◆ Code

enum Hurricane::BasicLayer::Material::Code

This enumeration defines the layer purpose inside the BasicLayer::Material.

Enumerator
nWell | This is a NWELL layer.
pWell | This is a PWELL layer.
nImplant | This is a N implant layer, for transistor source & drain.
pImplant | This is a P implant layer, for transistor source & drain.
active | For active area, for transistor gates.
poly | Polysilicium, for short connections & transistor gates.
cut | For the hole part of VIAs.
metal | For routing layers.
blockage | For blockages, associated to metals.
other | Fallback for any other purposes.

The documentation for this class was generated from the following files:

- BasicLayer.h
- BasicLayer.dox

Generated by doxygen 1.8.14 on Tue Jul 21 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved